#!/bin/sh
#Скрипт для выполнения команд Git во всех подпапках (полезен для status и push)

[[ -z "$@" ]] && echo "Warning: no git arguments.
This script can run git with arguments in all subfolders:
"
WD="$(pwd)"
find -mindepth 3 -maxdepth 3 -type d -iname .git | sort | while read item
do
 echo "${item%/.git}"
 if [[ -n "$@" ]]
 then
  cd "${WD}/${item%/.git}"
  git "$@"
 fi
done
